image: registry.gitlab.com/supply-demand/images/deploy:0.0.4

stages:
  - lint
  - publish

variables:
  HELM_EXPERIMENTAL_OCI: 1

lint:
  stage: lint
  script:
    - helm lint ./chart
  except:
    - tags

publish chart:
  stage: publish
  variables:
    IMG: $CI_REGISTRY/$CI_PROJECT_PATH
  before_script:
    - helm registry login -u $ACCESS_TOKEN_NAME -p $ACCESS_TOKEN $CI_REGISTRY
  script:
    - helm chart save chart $IMG:$CI_COMMIT_TAG
    - helm chart push $IMG:$CI_COMMIT_TAG
  only:
    - tags
